Subject: Re: [PATCH 01/31] proc: switch /proc/loadavg to seq_file

From: Andrew Morton <[email-masked]>
Date: Tue, 21 Oct 2008 16:58:22 -0700

On Fri, 17 Oct 2008 16:39:58 +0400
Alexey Dobriyan <[email-masked]> wrote:

> and move it to fs/proc/loadavg.c while I'm at it.
> 
> Signed-off-by: Alexey Dobriyan <[email-masked]>
> ---
>  fs/proc/Makefile    |    2 +-
>  fs/proc/loadavg.c   |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
>  fs/proc/proc_misc.c |   26 --------------------------

While I think the patchset is a good thing, this is absolutely the worst
possible time to merge large code-motion changes into linux-next.  We
need to maintain this stuff for more than two months, and everyone and
his puppy is altering those files.  Today's linux-next already broke.

So I'd suggest that this all be deferred until the day before
2.6.29-rc1(!).

fs/proc/meminfo.c: In function 'meminfo_proc_show':
fs/proc/meminfo.c:90: error: 'NR_ACTIVE' undeclared (first use in this function)
fs/proc/meminfo.c:90: error: (Each undeclared identifier is reported only once
fs/proc/meminfo.c:90: error: for each function it appears in.)
fs/proc/meminfo.c:91: error: 'NR_INACTIVE' undeclared (first use in this function)